#
# spec file for package xteddy (Version 2.0.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xteddy
BuildRequires:  giflib-devel imlib-devel libpng-devel libtiff-devel xorg-x11 xorg-x11-devel
License:        GNU General Public License (GPL)
Group:          Amusements/Toys/Graphics
Provides:       xteddy10
Autoreqprov:    on
Summary:        A cuddly teddy bear for your X Window desktop
Version:        2.0.1
Release:        40
Source:         xteddy-2.0.1.tar.gz
Patch:          xteddy-configure.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Normally, xteddy just sits around doing nothing. After all, that's what
teddy bears are for. Look at him, talk to him, place heavy windows on
top of him, zap him around until he becomes dizzy, do what you like; he
will always be your true (albeit virtual) friend.

You can move xteddy with the mouse by pointing at him and dragging him
around. When clicked upon, he will pop up on top of all other windows.
If you type "q" on him, he will die (or, as I like to think of it, be
tucked away in the file system until you need him next time).

That's it. But he's cute.



Authors:
--------
    Stefan Gustavson <stefang@isy.liu.se>

%prep
%setup
%patch

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS `imlib-config --cflags`" \
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/X11R6/bin/ && ln xteddy xpenguin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc	html/*.html
%doc	html/images
	%{_bindir}/*
	%{_mandir}/man1/*
	%{_datadir}/%{name}

%changelog -n xteddy
* Tue Dec 05 2006 - ma@suse.de
- don't install below /usr/X11R6.
* Fri Jun 16 2006 - schwab@suse.de
- Set mandir.
- Use RPM_OPT_FLAGS.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 28 2004 - ma@suse.de
- new version 2.0.1
* Mon May 10 2004 - hmacht@suse.de
- added # norootforbuild in specfile
* Mon May 26 2003 - coolo@suse.de
- use BuildRoot
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Tue Oct 31 2000 - ma@suse.de
- removed group unsorted
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 20 1997 - ma@suse.de
- new version 1.0.3
